package simpletag;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag15 extends SimpleTagSupport {
	private String name;
	private JspTag parent = null;

	public void setName(String name){
		this.name = name;
	}
	public String getName(){
		return name;
	}
	public void setParent(JspTag parent){
		this.parent = parent;
	}
	public JspTag getParent(){
		return parent;
	}

	public void doTag() throws IOException, JspException {
		JspContext context = getJspContext();
		JspFragment fragment = getJspBody();
		JspWriter out = context.getOut();
		out.print(name + " ancestor:");
		for(Tag15 a = (Tag15)parent; a != null; a = (Tag15)a.getParent()){
			out.print(" " + a.getName());
		}
		fragment.invoke(null);
		out.print(name + " end");
	}
}
